Get product version details
curl --request GET \
--url https://api.app.chainloop.dev/v1/products/{product_id}/versions/{version_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.app.chainloop.dev/v1/products/{product_id}/versions/{version_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.app.chainloop.dev/v1/products/{product_id}/versions/{version_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": {
"project_versions": [
{
"track_latest_project_version": true,
"project": {
"latest_released_version": {
"project_id": "project_id",
"frameworks": [
{
"preview": true,
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"projects": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"display_name": "display_name",
"sections": [
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
},
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
}
],
"products": [
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
},
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
}
],
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"name": "name",
"id": "id",
"not_applicable": true
},
{
"preview": true,
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"projects": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"display_name": "display_name",
"sections": [
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
},
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
}
],
"products": [
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
},
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
}
],
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"name": "name",
"id": "id",
"not_applicable": true
}
],
"workflow_runs_count": "workflow_runs_count",
"last_workflow_run_at": "2000-01-23T04:56:07.000Z",
"pre_release": true,
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"released_at": "2000-01-23T04:56:07.000Z",
"version": "version",
"latest": true,
"status": null
},
"latest_version": {
"project_id": "project_id",
"frameworks": [
{
"preview": true,
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"projects": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"display_name": "display_name",
"sections": [
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
},
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
}
],
"products": [
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
},
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
}
],
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"name": "name",
"id": "id",
"not_applicable": true
},
{
"preview": true,
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"projects": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"display_name": "display_name",
"sections": [
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
},
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
}
],
"products": [
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
},
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
}
],
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"name": "name",
"id": "id",
"not_applicable": true
}
],
"workflow_runs_count": "workflow_runs_count",
"last_workflow_run_at": "2000-01-23T04:56:07.000Z",
"pre_release": true,
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"released_at": "2000-01-23T04:56:07.000Z",
"version": "version",
"latest": true,
"status": null
},
"updated_at": "2000-01-23T04:56:07.000Z",
"organization": {
"name": "name",
"id": "id"
},
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"workflows": [
{
"pull_request": true,
"managed": true,
"inputs": {
"key": "inputs"
},
"name": "name",
"description": "description",
"workflow_template_id": "workflow_template_id",
"id": "id"
},
{
"pull_request": true,
"managed": true,
"inputs": {
"key": "inputs"
},
"name": "name",
"description": "description",
"workflow_template_id": "workflow_template_id",
"id": "id"
}
],
"repository": {
"user_email": "user_email",
"visibility": "visibility",
"kind": "kind",
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"external_id": "external_id",
"reachability_reason": "reachability_reason",
"updated_at": "2000-01-23T04:56:07.000Z",
"user_id": "user_id",
"connection_id": "connection_id",
"linked_projects_count": 5,
"organization_id": "organization_id",
"name": "name",
"host": "host",
"already_onboarded": true,
"id": "id",
"reachability": "REACHABILITY_UNSPECIFIED"
},
"products": [
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
},
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
}
]
},
"version": {
"project_id": "project_id",
"frameworks": [
{
"preview": true,
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"projects": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"display_name": "display_name",
"sections": [
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
},
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
}
],
"products": [
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
},
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
}
],
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"name": "name",
"id": "id",
"not_applicable": true
},
{
"preview": true,
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"projects": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"display_name": "display_name",
"sections": [
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
},
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
}
],
"products": [
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
},
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
}
],
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"name": "name",
"id": "id",
"not_applicable": true
}
],
"workflow_runs_count": "workflow_runs_count",
"last_workflow_run_at": "2000-01-23T04:56:07.000Z",
"pre_release": true,
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"released_at": "2000-01-23T04:56:07.000Z",
"version": "version",
"latest": true,
"status": null
}
},
{
"track_latest_project_version": true,
"project": {
"latest_released_version": {
"project_id": "project_id",
"frameworks": [
{
"preview": true,
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"projects": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"display_name": "display_name",
"sections": [
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
},
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
}
],
"products": [
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
},
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
}
],
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"name": "name",
"id": "id",
"not_applicable": true
},
{
"preview": true,
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"projects": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"display_name": "display_name",
"sections": [
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
},
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
}
],
"products": [
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
},
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
}
],
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"name": "name",
"id": "id",
"not_applicable": true
}
],
"workflow_runs_count": "workflow_runs_count",
"last_workflow_run_at": "2000-01-23T04:56:07.000Z",
"pre_release": true,
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"released_at": "2000-01-23T04:56:07.000Z",
"version": "version",
"latest": true,
"status": null
},
"latest_version": {
"project_id": "project_id",
"frameworks": [
{
"preview": true,
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"projects": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"display_name": "display_name",
"sections": [
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
},
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
}
],
"products": [
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
},
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
}
],
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"name": "name",
"id": "id",
"not_applicable": true
},
{
"preview": true,
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"projects": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"display_name": "display_name",
"sections": [
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
},
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
}
],
"products": [
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
},
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
}
],
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"name": "name",
"id": "id",
"not_applicable": true
}
],
"workflow_runs_count": "workflow_runs_count",
"last_workflow_run_at": "2000-01-23T04:56:07.000Z",
"pre_release": true,
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"released_at": "2000-01-23T04:56:07.000Z",
"version": "version",
"latest": true,
"status": null
},
"updated_at": "2000-01-23T04:56:07.000Z",
"organization": {
"name": "name",
"id": "id"
},
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"workflows": [
{
"pull_request": true,
"managed": true,
"inputs": {
"key": "inputs"
},
"name": "name",
"description": "description",
"workflow_template_id": "workflow_template_id",
"id": "id"
},
{
"pull_request": true,
"managed": true,
"inputs": {
"key": "inputs"
},
"name": "name",
"description": "description",
"workflow_template_id": "workflow_template_id",
"id": "id"
}
],
"repository": {
"user_email": "user_email",
"visibility": "visibility",
"kind": "kind",
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"external_id": "external_id",
"reachability_reason": "reachability_reason",
"updated_at": "2000-01-23T04:56:07.000Z",
"user_id": "user_id",
"connection_id": "connection_id",
"linked_projects_count": 5,
"organization_id": "organization_id",
"name": "name",
"host": "host",
"already_onboarded": true,
"id": "id",
"reachability": "REACHABILITY_UNSPECIFIED"
},
"products": [
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
},
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
}
]
},
"version": {
"project_id": "project_id",
"frameworks": [
{
"preview": true,
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"projects": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"display_name": "display_name",
"sections": [
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
},
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
}
],
"products": [
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
},
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
}
],
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"name": "name",
"id": "id",
"not_applicable": true
},
{
"preview": true,
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"projects": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"display_name": "display_name",
"sections": [
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
},
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
}
],
"products": [
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
},
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
}
],
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"name": "name",
"id": "id",
"not_applicable": true
}
],
"workflow_runs_count": "workflow_runs_count",
"last_workflow_run_at": "2000-01-23T04:56:07.000Z",
"pre_release": true,
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"released_at": "2000-01-23T04:56:07.000Z",
"version": "version",
"latest": true,
"status": null
}
}
],
"updated_at": "2000-01-23T04:56:07.000Z",
"frameworks": [
{
"preview": true,
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"projects": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"display_name": "display_name",
"sections": [
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
},
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
}
],
"products": [
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
},
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
}
],
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"name": "name",
"id": "id",
"not_applicable": true
},
{
"preview": true,
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"projects": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"display_name": "display_name",
"sections": [
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
},
{
"requirements": [
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
},
{
"version_references": [
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
},
{
"scope": "UNSPECIFIED",
"id": "id",
"automated_policies_count": 6,
"revision": 0,
"manual_evidence_count": 1
}
],
"preview": true,
"frameworks": [
null,
null
],
"built_in": true,
"raw_schema": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"created_at": "2000-01-23T04:56:07.000Z",
"description": "description",
"display_name": "display_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"scope": null,
"name": "name",
"id": "id",
"status": "REQUIREMENT_STATUS_UNSPECIFIED"
}
],
"parent_id": "parent_id",
"name": "name",
"sub_sections": [
null,
null
],
"description": "description",
"id": "id"
}
],
"products": [
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
},
{
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
}
],
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"name": "name",
"id": "id",
"not_applicable": true
}
],
"product_id": "product_id",
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"released_at": "2000-01-23T04:56:07.000Z",
"status": "VERSION_STATUS_UNSPECIFIED"
}
}{
"code": 0,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 6,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 1,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 5,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 5,
"details": [
{
"@type": "@type"
},
{
"@type": "@type"
}
],
"message": "message"
}Get product version details
Retrieves detailed information about a specific version of a product, including its associated projects and frameworks.
GET
/
v1
/
products
/
{product_id}
/
versions
/
{version_id}
Get product version details
Authorizations
Bearer token for authentication
Response
A successful response.
Show child attributes
Show child attributes
Example:
{ "project_versions": [ { "track_latest_project_version": true, "project": { "latest_released_version": { "project_id": "project_id", "frameworks": [ { "preview": true, "requirements": [ { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" }, { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" } ], "projects": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "description": "description", "created_at": "2000-01-23T04:56:07.000Z", "display_name": "display_name", "sections": [ { "requirements": [ { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" }, { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" } ], "parent_id": "parent_id", "name": "name", "sub_sections": [null, null], "description": "description", "id": "id" }, { "requirements": [ { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" }, { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" } ], "parent_id": "parent_id", "name": "name", "sub_sections": [null, null], "description": "description", "id": "id" } ], "products": [ { "name": "name", "description": "description", "created_at": "2000-01-23T04:56:07.000Z", "id": "id" }, { "name": "name", "description": "description", "created_at": "2000-01-23T04:56:07.000Z", "id": "id" } ], "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "name": "name", "id": "id", "not_applicable": true }, { "preview": true, "requirements": [ { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" }, { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" } ], "projects": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "description": "description", "created_at": "2000-01-23T04:56:07.000Z", "display_name": "display_name", "sections": [ { "requirements": [ { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" }, { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" } ], "parent_id": "parent_id", "name": "name", "sub_sections": [null, null], "description": "description", "id": "id" }, { "requirements": [ { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" }, { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" } ], "parent_id": "parent_id", "name": "name", "sub_sections": [null, null], "description": "description", "id": "id" } ], "products": [ { "name": "name", "description": "description", "created_at": "2000-01-23T04:56:07.000Z", "id": "id" }, { "name": "name", "description": "description", "created_at": "2000-01-23T04:56:07.000Z", "id": "id" } ], "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "name": "name", "id": "id", "not_applicable": true } ], "workflow_runs_count": "workflow_runs_count", "last_workflow_run_at": "2000-01-23T04:56:07.000Z", "pre_release": true, "created_at": "2000-01-23T04:56:07.000Z", "id": "id", "released_at": "2000-01-23T04:56:07.000Z", "version": "version", "latest": true, "status": null }, "latest_version": { "project_id": "project_id", "frameworks": [ { "preview": true, "requirements": [ { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" }, { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" } ], "projects": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "description": "description", "created_at": "2000-01-23T04:56:07.000Z", "display_name": "display_name", "sections": [ { "requirements": [ { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" }, { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" } ], "parent_id": "parent_id", "name": "name", "sub_sections": [null, null], "description": "description", "id": "id" }, { "requirements": [ { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" }, { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" } ], "parent_id": "parent_id", "name": "name", "sub_sections": [null, null], "description": "description", "id": "id" } ], "products": [ { "name": "name", "description": "description", "created_at": "2000-01-23T04:56:07.000Z", "id": "id" }, { "name": "name", "description": "description", "created_at": "2000-01-23T04:56:07.000Z", "id": "id" } ], "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "name": "name", "id": "id", "not_applicable": true }, { "preview": true, "requirements": [ { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" }, { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" } ], "projects": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "description": "description", "created_at": "2000-01-23T04:56:07.000Z", "display_name": "display_name", "sections": [ { "requirements": [ { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" }, { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" } ], "parent_id": "parent_id", "name": "name", "sub_sections": [null, null], "description": "description", "id": "id" }, { "requirements": [ { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" }, { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" } ], "parent_id": "parent_id", "name": "name", "sub_sections": [null, null], "description": "description", "id": "id" } ], "products": [ { "name": "name", "description": "description", "created_at": "2000-01-23T04:56:07.000Z", "id": "id" }, { "name": "name", "description": "description", "created_at": "2000-01-23T04:56:07.000Z", "id": "id" } ], "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "name": "name", "id": "id", "not_applicable": true } ], "workflow_runs_count": "workflow_runs_count", "last_workflow_run_at": "2000-01-23T04:56:07.000Z", "pre_release": true, "created_at": "2000-01-23T04:56:07.000Z", "id": "id", "released_at": "2000-01-23T04:56:07.000Z", "version": "version", "latest": true, "status": null }, "updated_at": "2000-01-23T04:56:07.000Z", "organization": { "name": "name", "id": "id" }, "name": "name", "description": "description", "created_at": "2000-01-23T04:56:07.000Z", "id": "id", "workflows": [ { "pull_request": true, "managed": true, "inputs": { "key": "inputs" }, "name": "name", "description": "description", "workflow_template_id": "workflow_template_id", "id": "id" }, { "pull_request": true, "managed": true, "inputs": { "key": "inputs" }, "name": "name", "description": "description", "workflow_template_id": "workflow_template_id", "id": "id" } ], "repository": { "user_email": "user_email", "visibility": "visibility", "kind": "kind", "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "external_id": "external_id", "reachability_reason": "reachability_reason", "updated_at": "2000-01-23T04:56:07.000Z", "user_id": "user_id", "connection_id": "connection_id", "linked_projects_count": 5, "organization_id": "organization_id", "name": "name", "host": "host", "already_onboarded": true, "id": "id", "reachability": "REACHABILITY_UNSPECIFIED" }, "products": [ { "name": "name", "description": "description", "created_at": "2000-01-23T04:56:07.000Z", "id": "id" }, { "name": "name", "description": "description", "created_at": "2000-01-23T04:56:07.000Z", "id": "id" } ] }, "version": { "project_id": "project_id", "frameworks": [ { "preview": true, "requirements": [ { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" }, { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" } ], "projects": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "description": "description", "created_at": "2000-01-23T04:56:07.000Z", "display_name": "display_name", "sections": [ { "requirements": [ { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" }, { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" } ], "parent_id": "parent_id", "name": "name", "sub_sections": [null, null], "description": "description", "id": "id" }, { "requirements": [ { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 }, { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "manual_evidence_count": 1 } ], "preview": true, "frameworks": [null, null], "built_in": true, "raw_schema": { "format": "FORMAT_UNSPECIFIED", "body": "body" }, "created_at": "2000-01-23T04:56:07.000Z", "description": "description", "display_name": "display_name", "updated_at": "2000-01-23T04:56:07.000Z", "organization_id": "organization_id", "scope": null, "name": "name", "id": "id", "status": "REQUIREMENT_STATUS_UNSPECIFIED" }, { "version_references": [ { "scope": "UNSPECIFIED", "id": "id", "automated_policies_count": 6, "revision": 0, "
[...]
